# Method: customers.userinvitations.list

Retrieves a list of `https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/customers.userinvitations#UserInvitation` resources.

**Note:** New consumer accounts with the customer's verified domain created within the previous 48 hours will not appear in the result. This delay also applies to newly-verified domains.

### HTTP request

`GET https://cloudidentity.googleapis.com/v1beta1/{parent=customers/*}/userinvitations`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The customer ID of the Google Workspace or Cloud Identity account the `https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/customers.userinvitations#UserInvitation` resources are associated with. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of `https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/customers.userinvitations#UserInvitation` resources to return. If unspecified, at most 100 resources will be returned. The maximum value is 200; values above 200 will be set to 200. |
| `pageToken` | `string` Optional. A page token, received from a previous `userinvitations.list` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListBooks` must match the call that provided the page token. |
| `filter` | `string` Optional. A query string for filtering `UserInvitation` results by their current state, in the format: `"state=='invited'"`. |
| `orderBy` | `string` Optional. The sort order of the list results. You can sort the results in descending order based on either email or last update timestamp but not both, using `order_by="email desc"`. Currently, sorting is supported for `update_time asc`, `update_time desc`, `email asc`, and `email desc`. If not specified, results will be returned based on `email asc` order. |

### Request body

The request body must be empty.

### Response body

Response message for `https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/customers.userinvitations#UserInvitation` listing request.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "userInvitations": [ { object (`https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/customers.userinvitations#UserInvitation`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `userInvitations[]` | ``object (`https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/customers.userinvitations#UserInvitation`)`` The list of `https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/customers.userinvitations#UserInvitation` resources. |
| `nextPageToken` | `string` The token for the next page. If not empty, indicates that there may be more `UserInvitation` resources that match the listing request; this value can be used in a subsequent `ListUserInvitationsRequest` to get continued results with the current list call. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-identity.userinvitations.readonly`
- `https://www.googleapis.com/auth/cloud-identity.userinvitations`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).